<!--#include virtual="../head-pretitle.html"-->
<!--#set var="this" value="mit-from-ns" -->
<title>Tech Squares &mdash; Driving from North/South</title>
<!--#include virtual="../head-posttitle-subdir.html"-->
<div id="main">
<h1>Tech Squares: Directions from North or South</h1>

<h2>How to drive to the MIT Student Center from Interstate 93.</h2>

<p>
Take <strong>I-93</strong> north or south into Boston to 
<strong>Exit 26</strong>,
"<strong>Storrow Dr.</strong>/N. Station". 
There's no choice of direction at the exit, but soon
<strong>after the exit</strong>, move to the left lane. 
The road will split - <strong>bear left</strong>, 
driving under the <em>Cars Only</em> sign, following signs for
<strong>Back Bay/Storrow Dr.</strong>
</p><p>
The road will split again - <strong>bear left again</strong>,
following signs for <strong>Government Center/Kendall Square</strong>.
</p><p>
Then make the <strong>1st Right, at a blinking light</strong>, 
following signs for <strong>Cambridge/Memorial Drive</strong>. 
This will take you over the Longfellow Bridge, crossing the Charles River.
</p><p>
Immediately at the end of the bridge (before you reach any traffic
lights), <strong>turn Right</strong>, following a sign for 
<strong>Rt 3 N</strong>, and <strong>cloverleaf</strong> 
onto <strong>Memorial Drive West</strong>.
</p><p>
Go straight on Memorial Dr. 
(Ignore signs to turn for Gov't Center or Boston.) 
After 3/4 of a mile, stay straight even though much of the road forks
off to the left. 
This right fork ends at the end of the block; you must
<strong>turn Right onto Mass. Ave</strong>. 
At the <strong>3rd light, turn Left, onto Vassar St.</strong>
</p><p>
Pass the West Garage on the right about
a tenth of a mile down, opposite a large brick building on the left. 
The garage itself is gated, but you can park on the street in front of
the garage or <a href="directions/parking.html">elsewhere</a>.
</p><p>
After parking, cross Vassar Street, walk along Vassar to Mass Ave,
turn Right, and the Student Center will be the second building on your
right, a five-story concrete building. 
We dance on the second floor. 
The walk takes about 6 minutes.
</p><p>
<a href="http://whereis.mit.edu/map-jpg?zoom=level3;centerx=708920;centery=495350;selectlayer=Parking">
Map of the area of the West Annex Lot and the Student Center</a>. 
The Student Center is MIT building W20, 84 Mass. Ave.
</p>

</div> <!-- main -->
<!--#include virtual="../footer.html"-->
